Field NationDeveloper Platform
Field NationDeveloper Platform
Overview
Delete Webhook DELETEGet Webhook Details GETUpdate Webhook PUTList Webhooks GETCreate Webhook POST
Core Operations

Delete Webhook


Permanently delete a webhook configuration so it no longer receives notifications. Delivery logs and history remain available for auditing, but the webhook itself cannot be recovered.

DELETE
/api/v1/webhooks/{webhookId}

Authorization

bearer
AuthorizationBearer <token>

Standard HTTP Bearer authentication using JWT. Provide your API key in the Authorization header as 'Bearer '.

In: header

Path Parameters

webhookId*string

The webhookId parameter

curl -X DELETE "https://api-sandbox.fndev.net/api/v1/webhooks/string"
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "result": {
    "id": 0,
    "webhookId": "string",
    "companyId": 0,
    "userId": 0,
    "events": [
      "string"
    ],
    "url": "string",
    "method": "post",
    "status": "active",
    "secret": "string",
    "notificationEmail": "string",
    "modelProperties": [
      "string"
    ],
    "isIntegrationOnly": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Overview

Interactive Webhooks Testing Playground

Get Webhook Details GET

Next Page

curl -X DELETE "https://api-sandbox.fndev.net/api/v1/webhooks/string"